CMSIS-RTOS RTX: RTX_Conf_CM.c File Reference

| CMSIS-RTOS RTX Version 4.80 CMSIS-RTOS RTX: Real-Time Operating System for Cortex-M processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
RTX_Conf_CM.c File Reference

## Macros
#define | OS_TASKCNT 6
#define | OS_STKSIZE 50
#define | OS_MAINSTKSIZE 50
#define | OS_PRIVCNT 0
#define | OS_PRIVSTKSIZE 0
#define | OS_STKCHECK 1
#define | OS_STKINIT 0
#define | OS_RUNPRIV 1
#define | OS_CLOCK 12000000
#define | OS_TICK 1000
#define | OS_ROBIN 1
#define | OS_ROBINTOUT 5
#define | OS_TIMERS 1
#define | OS_TIMERPRIO 5
#define | OS_TIMERSTKSZ 50
#define | OS_TIMERCBQS 4
#define | OS_FIFOSZ 16
#define | OS_MUTEXCNT 8
#define | OS_TRV ((uint32_t)(((double)OS_CLOCK*(double)OS_TICK)/1E6)-1)
#define | OS_ERROR_STACK_OVF 1
#define | OS_ERROR_FIFO_OVF 2
#define | OS_ERROR_MBX_OVF 3
#define | OS_ERROR_TIMER_OVF 4

## Functions
void | os_idle_demon (void)
| The idle demon is running when no other thread is ready to run.
int | os_tick_init (void)
| Initializes an alternative hardware timer as RTX kernel timer.
uint32_t | os_tick_val (void)
| Get alternative hardware timer's current value (0 .. OS_TRV)
uint32_t | os_tick_ovf (void)
| Get alternative hardware timer's overflow flag.
void | os_tick_irqack (void)
| Acknowledge alternative hardware timer interrupt.
osThreadId | svcThreadGetId (void)
void | os_error (uint32_t error_code)
| Called when a runtime error is detected.

## Macro Definition Documentation

#define OS_CLOCK 12000000

#define OS_ERROR_FIFO_OVF 2

#define OS_ERROR_MBX_OVF 3

#define OS_ERROR_STACK_OVF 1

#define OS_ERROR_TIMER_OVF 4

#define OS_FIFOSZ 16

#define OS_MAINSTKSIZE 50

#define OS_MUTEXCNT 8

#define OS_PRIVCNT 0

#define OS_PRIVSTKSIZE 0

#define OS_ROBIN 1

#define OS_ROBINTOUT 5

#define OS_RUNPRIV 1

#define OS_STKCHECK 1

#define OS_STKINIT 0

#define OS_STKSIZE 50

#define OS_TASKCNT 6

#define OS_TICK 1000

#define OS_TIMERCBQS 4

#define OS_TIMERPRIO 5

#define OS_TIMERS 1

#define OS_TIMERSTKSZ 50

#define OS_TRV ((uint32_t)(((double)OS_CLOCK*(double)OS_TICK)/1E6)-1)

## Function Documentation

osThreadId svcThreadGetId | ( | void |  | ) |